import pytest
import py


@pytest.fixture
def poultry_cfg(tmpdir):
    cfg = tmpdir.join('poultry.cfg')

    cfg.write(
        '[twitter]\n'
        'consumer_key=\n'
        'consumer_secret=\n'
        'access_token=\n'
        'access_token_secret=\n'
    )

    return cfg


@pytest.fixture
def tweet_collection_dir():
    return str(py.path.local(__file__).dirpath('tweets'))


@pytest.fixture
def tweets():
    return (
        r'''{"created_at":"Fri Apr 13 13:55:02 +0000 2012","id":190800262909276162,"id_str":"190800262909276162","text":"pinkpop pukkelpop paaspop prilpop pedropicopop all use #pp12 :)","source":"\u003ca href=\"http:\/\/itunes.apple.com\/us\/app\/twitter\/id409789998?mt=12\" rel=\"nofollow\"\u003eTwitter for Mac\u003c\/a\u003e","truncated":false,"in_reply_to_status_id":null,"in_reply_to_status_id_str":null,"in_reply_to_user_id":null,"in_reply_to_user_id_str":null,"in_reply_to_screen_name":null,"user":{"id":10868922,"id_str":"10868922","name":"dimazest","screen_name":"dimazest","location":"Groningen, The Netherlands","description":"","url":"http:\/\/zest.id.lv","protected":false,"followers_count":181,"friends_count":236,"listed_count":9,"created_at":"Wed Dec 05 12:33:22 +0000 2007","favourites_count":52,"utc_offset":3600,"time_zone":"Rome","geo_enabled":true,"verified":false,"statuses_count":1192,"lang":"en","contributors_enabled":false,"is_translator":false,"profile_background_color":"709397","profile_background_image_url":"http:\/\/a0.twimg.com\/images\/themes\/theme6\/bg.gif","profile_background_image_url_https":"https:\/\/si0.twimg.com\/images\/themes\/theme6\/bg.gif","profile_background_tile":false,"profile_image_url":"http:\/\/a0.twimg.com\/profile_images\/1413931957\/IMG_2219_normal.jpg","profile_image_url_https":"https:\/\/si0.twimg.com\/profile_images\/1413931957\/IMG_2219_normal.jpg","profile_link_color":"FF3300","profile_sidebar_border_color":"86A4A6","profile_sidebar_fill_color":"A0C5C7","profile_text_color":"333333","profile_use_background_image":true,"show_all_inline_media":false,"default_profile":false,"default_profile_image":false,"following":null,"follow_request_sent":null,"notifications":null},"geo":null,"coordinates":null,"place":null,"contributors":null,"retweet_count":0,"entities":{"hashtags":[{"text":"pp12","indices":[55,60]}],"urls":[],"user_mentions":[]},"favorited":false,"retweeted":false}''',  # noqa
        r'''{"created_at":"Thu Apr 26 07:35:39 +0000 2012","id":195415832510201856,"id_str":"195415832510201856","text":"#pygrunn here i come!","source":"\u003ca href=\"http:\/\/itunes.apple.com\/us\/app\/twitter\/id409789998?mt=12\" rel=\"nofollow\"\u003eTwitter for Mac\u003c\/a\u003e","truncated":false,"in_reply_to_status_id":null,"in_reply_to_status_id_str":null,"in_reply_to_user_id":null,"in_reply_to_user_id_str":null,"in_reply_to_screen_name":null,"user":{"id":10868922,"id_str":"10868922","name":"dimazest","screen_name":"dimazest","location":"Groningen, The Netherlands","description":"","url":"http:\/\/zest.id.lv","protected":false,"followers_count":181,"friends_count":236,"listed_count":9,"created_at":"Wed Dec 05 12:33:22 +0000 2007","favourites_count":52,"utc_offset":3600,"time_zone":"Rome","geo_enabled":true,"verified":false,"statuses_count":1192,"lang":"en","contributors_enabled":false,"is_translator":false,"profile_background_color":"709397","profile_background_image_url":"http:\/\/a0.twimg.com\/images\/themes\/theme6\/bg.gif","profile_background_image_url_https":"https:\/\/si0.twimg.com\/images\/themes\/theme6\/bg.gif","profile_background_tile":false,"profile_image_url":"http:\/\/a0.twimg.com\/profile_images\/1413931957\/IMG_2219_normal.jpg","profile_image_url_https":"https:\/\/si0.twimg.com\/profile_images\/1413931957\/IMG_2219_normal.jpg","profile_link_color":"FF3300","profile_sidebar_border_color":"86A4A6","profile_sidebar_fill_color":"A0C5C7","profile_text_color":"333333","profile_use_background_image":true,"show_all_inline_media":false,"default_profile":false,"default_profile_image":false,"following":null,"follow_request_sent":null,"notifications":null},"geo":null,"coordinates":null,"place":null,"contributors":null,"retweet_count":0,"entities":{"hashtags":[{"text":"pygrunn","indices":[0,8]}],"urls":[],"user_mentions":[]},"favorited":false,"retweeted":false}''',  # noqa
        r'''{"created_at":"Sat May 12 09:15:43 +0000 2012","id":201239221502099456,"id_str":"201239221502099456","text":"that's fun \u201c@gorban: http:\/\/t.co\/rsjGQjCB\u201d","source":"\u003ca href=\"http:\/\/itunes.apple.com\/us\/app\/twitter\/id409789998?mt=12\" rel=\"nofollow\"\u003eTwitter for Mac\u003c\/a\u003e","truncated":false,"in_reply_to_status_id":null,"in_reply_to_status_id_str":null,"in_reply_to_user_id":null,"in_reply_to_user_id_str":null,"in_reply_to_screen_name":null,"user":{"id":10868922,"id_str":"10868922","name":"dimazest","screen_name":"dimazest","location":"Groningen, The Netherlands","description":"","url":"http:\/\/zest.id.lv","protected":false,"followers_count":181,"friends_count":236,"listed_count":9,"created_at":"Wed Dec 05 12:33:22 +0000 2007","favourites_count":52,"utc_offset":3600,"time_zone":"Rome","geo_enabled":true,"verified":false,"statuses_count":1192,"lang":"en","contributors_enabled":false,"is_translator":false,"profile_background_color":"709397","profile_background_image_url":"http:\/\/a0.twimg.com\/images\/themes\/theme6\/bg.gif","profile_background_image_url_https":"https:\/\/si0.twimg.com\/images\/themes\/theme6\/bg.gif","profile_background_tile":false,"profile_image_url":"http:\/\/a0.twimg.com\/profile_images\/1413931957\/IMG_2219_normal.jpg","profile_image_url_https":"https:\/\/si0.twimg.com\/profile_images\/1413931957\/IMG_2219_normal.jpg","profile_link_color":"FF3300","profile_sidebar_border_color":"86A4A6","profile_sidebar_fill_color":"A0C5C7","profile_text_color":"333333","profile_use_background_image":true,"show_all_inline_media":false,"default_profile":false,"default_profile_image":false,"following":null,"follow_request_sent":null,"notifications":null},"geo":null,"coordinates":null,"place":null,"contributors":null,"retweet_count":0,"entities":{"hashtags":[],"urls":[{"url":"http:\/\/t.co\/rsjGQjCB","expanded_url":"http:\/\/compare.yandex.com","display_url":"compare.yandex.com","indices":[21,41]}],"user_mentions":[{"screen_name":"gorban","name":"Alexander Gorban","id":12825292,"id_str":"12825292","indices":[12,19]}]},"favorited":false,"retweeted":false,"possibly_sensitive":false}''',  # noqa
    )
